/**
 * 3DtCgV[eBOQ[ EFFY one of unreasonable "if" pbP[WłB
 *
 * @package_overview
 * @package 	EFFY one of unreasonable "if"
 * @caption		EFFYpbP[W
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

/**
 * EFFYpbP[W ʏLqt@CłB
 *
 * @file_overview
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

/**
 * TRUEԂ܂B
 */
function effy_get_true()
{
	return TRUE;
}

/**
 * FALSEԂ܂B
 */
function effy_get_false()
{
	return FALSE;
}

/** @var	function	effy_caption_func	LvV\Ɏg֐FftHgłeffy_caption֐g */
function effy_caption_func = effy_caption;
function effy_scene_opening;

/**
 * ۂɃLvVƂĎgp֐ݒ肵܂B
 */
function effy_set_caption_func(function caption_func)
{
	effy_caption_func = caption_func;
}

/**
 * ʂ̃~bVZbgAbvłB
 */
function effy_mission_setup (timeup_limit, height_stall_limit) {
	set_time(timeup_limit);
	set_height_stall(height_stall_limit);

	if (is_current_level_hard())  {
		init_hard();
	}
	else if (is_current_level_normal()) {
		init_normal();
	}
	else if (is_current_level_easy()) {
		init_easy();
	}

	//ʏ̎s
	init_total();
}

/**
 * ftHg̃LvV\
 */
function effy_caption (int background_unit_id, int caption_unit_id)
{
	//Cxg[h
	effy_event(TRUE);

	//CxgÖÖ~낵
	effy_create_black_background();

	fade_out();
	wait_time(0.5);

	//`
	create_sprite(EFFY_LABEL_CAPTION_BACKGROUND, background_unit_id, 0, 0, 640, 480);

	//S
	set_color(EFFY_LABEL_CAPTION_BACKGROUND, -1, -1, -1, 0);

	//LvV^Cg
	create_sprite(EFFY_LABEL_CAPTION_TITLE, caption_unit_id, 0, 0, 400, 40);

	//ʒֈړ
	move(EFFY_LABEL_CAPTION_TITLE, 120, 220, 0, FALSE);

	//S
	set_color(EFFY_LABEL_CAPTION_TITLE, 255, 255, 255, 0);

	effy_caption_fade_in(EFFY_LABEL_CAPTION_TITLE, EFFY_LABEL_CAPTION_BACKGROUND);

	//̊ԌĂ
	wait_time(4);

	effy_caption_fade_out(EFFY_LABEL_CAPTION_TITLE, EFFY_LABEL_CAPTION_BACKGROUND);

	wait_time(0.5);

	//Cxg[h𔲂
	delete_object();
	effy_event(FALSE);
	fade_in();
}

/**
 * ʂ̃tF[hCł
 */
function effy_caption_fade_in (title_label, back_ground_label)
{
	for (int i = 8;i < 255;i+=8) {
		system();
		set_color(back_ground_label, -1, -1, -1, i);
		set_color(title_label, -1, -1, -1, i);
	}
}

/**
 * ʂ̃tF[hAEgł
 */
function effy_caption_fade_out(title_label, back_ground_label)
{
	for (int i = 255;0 < i;i-=8) {
		system();
		set_color(back_ground_label, -1, -1, -1, i);
		set_color(title_label, -1, -1, -1, i);
	}
}

/**
 * ʂ̃~bVJnCxgł
 */
function effy_mission_start_event (int background_unit_id, int caption_unit_id, int enable_opening)
{
	//Jn
	//LvV\
	if (background_unit_id != NULL && caption_unit_id != NULL) {
		effy_caption_func(background_unit_id, caption_unit_id);
	}

	//JnOCxg
	if (enable_opening == TRUE) {
		scene_opening();
	}
}

/**
 * ^CAbvꊇōs
 */
function effy_timeup () {
	if (is_time_up()) {
		message(MESSAGE_TYPE_BROADCAST, "Navigation", "^CAbvłB");
		wait_time(EFFY_WAIT_TIME_END_OF_MISSION_TIMEUP_MARGIN);

		finish(FINISH_TYPE_TIMEUP, FINISH_NEXT_TIMEUP);				//IR[hfăXNvgVXeI
		wait_time(EFFY_WAIT_TIME_END_OF_MISSION_MARGIN);	//ۂ̃~bVI܂ł̃}[W
	}
}

/**
 * NA̕擾ꊇōs
 */
function effy_provide_weapon () {
	if (is_current_level_hard()) {
		clear_hard();		//Hardȏ̓Փx̕胋[`
	}
	if (is_current_level_normal()) {
		clear_normal();	//Normalȏ̓Փx̕胋[`
	}
	if (is_current_level_easy()) {
		clear_easy();		//Easyȏ̓Փx̕胋[`
	}
}

//------------------------------------------------------
//_[WZtĐ
//------------------------------------------------------
/**
 * _[W菈ꊇōs
 */
function effy_damage_alert = effy_damage_alert_level1;

function int effy_damage_alert_level1()
{
	function effy_next_damage_alert = effy_damage_alert_level2;

	if (effy_next_damage_alert()) {
		return TRUE;
	}
	if (get_player_damage() < 25) {
		return FALSE;
	}

	if (damage1() != TRUE) {
		return FALSE;
	}

	effy_damage_alert = effy_next_damage_alert;
	return TRUE;
}

function effy_damage_alert_level2()
{
	function effy_next_damage_alert = effy_damage_alert_level3;

	if (effy_next_damage_alert()) {
		return TRUE;
	}
	if (get_player_damage() < 50) {
		return FALSE;
	}

	if (damage2() != TRUE) {
		return FALSE;
	}

	effy_damage_alert = effy_next_damage_alert;
	return TRUE;
}

function effy_damage_alert_level3()
{
	if (get_player_damage() < 75) {
		return FALSE;
	}

	if (damage3() != TRUE) {
		return FALSE;
	}

	effy_damage_alert = effy_get_false;
	return TRUE;
}

/**
 * Cxgpwi쐬܂B
 *
 * @caption	wi̍쐬B
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_create_black_background()
{
	//wi쐬
	create_sprite(EFFY_LABEL_CAPTION_BACKGROUND_BLACK, EFFY_UNIT_ID_CAPTION_BACKGROUND_BLACK, 0, 0, 854, 480);

	//ʒֈړ
	move(EFFY_LABEL_CAPTION_BACKGROUND_BLACK, -107, 0, 0, FALSE);
}

/**
 * Cxgpwi܂B
 *
 * @caption	wi̍쐬B
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_release_black_background()
{
	release_object(EFFY_LABEL_CAPTION_BACKGROUND_BLACK);
}

/** @var	effy_is_playing_message	bZ[W̏dĐhtO */
int effy_is_playing_message = FALSE;

/** @var	effy_is_playing_mob_message	ubZ[WƂčĐǂtO */
int effy_is_playing_mob_message = FALSE;

/**
 * Đ܂B
 *
 * @caption	Đ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function float effy_voice_message(int message_id, int close_flg)
{
	while (effy_is_playing_message == TRUE) {
		system();
	}

	effy_is_playing_message = TRUE;

	float stream_time = voice_message(
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_TYPE],
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_NAME],
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_TEXT],
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_VOICE_FILE_PATH],
		close_flg,
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_WAIT_TIME],
		effy_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_NO_WAIT]
	);

	if (close_flg == FALSE) {
		wait_time(0.2);
		stream_time += 0.2;
	}

	effy_is_playing_message = FALSE;

	return stream_time;
}

/***/
int effy_mob_voice_thread_id = NULL;

/**
 * u̍ĐJn܂B
 *
 * @caption	uJn
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function  effy_start_mob_voice()
{
	effy_mob_voice_thread_id = create_thread_safety(effy_mob_voice_thread_id, effy_mob_voice_thread, NULL);
}

/**
 * u̍Đ~܂B
 *
 * @caption	u~
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_stop_mob_voice()
{
	effy_mob_voice_thread_id = exit_thread_safety(effy_mob_voice_thread_id);
	if (effy_is_playing_mob_message) {
		effy_is_playing_message = FALSE;
	}
}

/** @var	int[]	effy_played_mob_id_list	߂ŎgpMOB{CXIDێBő3܂ŁB */
effy_played_mob_id_list[0] = NULL;
effy_played_mob_id_list[1] = NULL;
effy_played_mob_id_list[2] = NULL;

/**
 * uĐpXbhłB
 *
 * @caption	uĐpXbh
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_mob_voice_thread()
{
	//sb͕̂sRȂ̂ŃI_}
	wait_time((rand(20) + 10.0) / 10);

	int message_id = NULL;
	float stream_time = 0;

	while (TRUE) {
		system();
		system();

		//
		if (rand(2)) {
			//ʏ{CX
			if (rand(2)) {
				message_id = effy_get_mob_voice_friendly_message_id();
			}
			//̂ݍĐ
			else {
				message_id = effy_get_mob_voice_friendly_play_once_message_id();
			}
		}
		//G
		else {
			//ʏ{CX
			if (rand(2)) {
				message_id = effy_get_mob_voice_enemy_message_id();
			}
			//̂ݍĐ
			else {
				message_id = effy_get_mob_voice_enemy_play_once_message_id();
			}
		}

		if (message_id == NULL) {
			continue;
		}

		//߂ōĐ䎌̏ꍇ͍ĐȂ
		for (int i = 0;i < 3;i++) {
			if (effy_played_mob_id_list[i] == message_id) {
				continue;
			}
		}

		while (effy_is_playing_message == TRUE) {
			system();
			wait_time(3);
		}

		effy_is_playing_message = TRUE;
		effy_is_playing_mob_message = TRUE;

		effy_play_mob_voice(message_id);

		effy_is_playing_mob_message = FALSE;
		effy_is_playing_message = FALSE;

		//߂ōĐIDo
		effy_played_mob_id_list[1] = effy_played_mob_id_list[0];
		effy_played_mob_id_list[2] = effy_played_mob_id_list[1];
		effy_played_mob_id_list[0] = message_id;

		//I_}(0.3`3.5bx)
		wait_time((rand(20) + 5.0) / 10);
	}
}

/**
 * uĐ܂B
 *
 * @param	int	message_id	ubZ[WID
 *
 * @caption	uĐ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_play_mob_voice(int message_id)
{
	stream_time = play_voice(effy_mob_message_list[CURRENT_LANG][message_id][EFFY_MESSAGE_VOICE_FILE_PATH]);

	wait_time(stream_time);
}

/**
 * _ɖ̃ubZ[WIDԂ܂B
 *
 * @return	int	̃ubZ[WID
 *
 * @caption	_ɖ̃ubZ[WIDԂ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_get_mob_voice_friendly_message_id()
{
	//pCbgn
	if (rand(2)) {
		if (effy_get_current_unique_mob_message_friendly_air_id() == 0) {
			return NULL;
		}
		if (effy_count_air_friend() < EFFY_MOB_MESSAGE_AIR_PLAY_MIN) {
			return NULL;
		}
		return effy_mob_message_friendly_air_voice_list[rand(effy_get_current_unique_mob_message_friendly_air_id())];
	}
	//nn
	else {
		if (effy_get_current_unique_mob_message_friendly_ground_id() == 0) {
			return NULL;
		}
		if (effy_count_ground_friend() < EFFY_MOB_MESSAGE_GROUND_PLAY_MIN) {
			return NULL;
		}
		return effy_mob_message_friendly_grand_voice_list[rand(effy_get_current_unique_mob_message_friendly_ground_id())];
	}
}

/**
 * _ɈxĐ閡̃ubZ[WIDԂ܂B
 *
 * @return	int	̃ubZ[WID
 *
 * @caption	_ɈxĐ閡̃ubZ[WIDԂ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_get_mob_voice_friendly_play_once_message_id()
{
	int message_idx = 0;
	int message_id = 0;

	//pCbgn
	if (rand(2)) {
		if (effy_get_current_unique_mob_message_friendly_air_play_once_id() == 0) {
			return NULL;
		}
		if (effy_count_air_friend() < EFFY_MOB_MESSAGE_AIR_PLAY_MIN) {
			return NULL;
		}
		message_idx = rand(effy_get_current_unique_mob_message_friendly_air_play_once_id());
		message_id = effy_mob_message_friendly_air_play_once_voice_list[message_idx];
		effy_remove_mob_message_friendly_air_play_once_id(message_idx);
		return message_id;
	}
	//nn
	else {
		if (effy_get_current_unique_mob_message_friendly_ground_play_once_id() == 0) {
			return NULL;
		}
		if (effy_count_ground_friend() < EFFY_MOB_MESSAGE_GROUND_PLAY_MIN) {
			return NULL;
		}
		message_idx = rand(effy_get_current_unique_mob_message_friendly_ground_play_once_id());
		message_id = effy_mob_message_friendly_ground_play_once_voice_list[message_idx];
		effy_remove_mob_message_friendly_ground_play_once_id(message_idx);
		return message_id;
	}
}

/**
 * _ɓG̃ubZ[WIDԂ܂B
 *
 * @return	int	G̃ubZ[WID
 *
 * @caption	_ɓG̃ubZ[WIDԂ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_get_mob_voice_enemy_message_id()
{
	//pCbgn
	if (rand(2)) {
		if (effy_get_current_unique_mob_message_enemy_air_id() == 0) {
			return NULL;
		}
		if (count_air_enemy() < EFFY_MOB_MESSAGE_AIR_PLAY_MIN) {
			return NULL;
		}
		return effy_mob_message_enemy_air_voice_list[rand(effy_get_current_unique_mob_message_enemy_air_id())];
	}
	//nn
	else {
		if (effy_get_current_unique_mob_message_enemy_ground_id() == 0) {
			return NULL;
		}
		if (effy_count_ground_enemy() < EFFY_MOB_MESSAGE_GROUND_PLAY_MIN) {
			return NULL;
		}
		return effy_mob_message_enemy_grand_voice_list[rand(effy_get_current_unique_mob_message_enemy_ground_id())];
	}
}

/**
 * _ɈxĐG̃ubZ[WIDԂ܂B
 *
 * @return	int	G̃ubZ[WID
 *
 * @caption	_ɈxĐG̃ubZ[WIDԂ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_get_mob_voice_enemy_play_once_message_id()
{
	int message_idx = 0;
	int message_id = 0;

	//pCbgn
	if (rand(2)) {
		if (effy_get_current_unique_mob_message_enemy_air_play_once_id() == 0) {
			return NULL;
		}
		if (count_air_enemy() < EFFY_MOB_MESSAGE_AIR_PLAY_MIN) {
			return NULL;
		}
		message_idx = rand(effy_get_current_unique_mob_message_enemy_air_play_once_id());
		message_id = effy_mob_message_enemy_air_play_once_voice_list[message_idx];
		effy_remove_mob_message_enemy_air_play_once_id(message_idx);
		return message_id;
	}
	//nn
	else {
		if (effy_get_current_unique_mob_message_enemy_ground_play_once_id() == 0) {
			return NULL;
		}
		if (effy_count_ground_enemy() < EFFY_MOB_MESSAGE_GROUND_PLAY_MIN) {
			return NULL;
		}
		message_idx = rand(effy_get_current_unique_mob_message_enemy_ground_play_once_id());
		message_id = effy_mob_message_enemy_ground_play_once_voice_list[message_idx];
		effy_remove_mob_message_enemy_ground_play_once_id(message_idx);
		return message_id;
	}
}

/** @var	int	effy_unique_message_id	j[NȃbZ[WIDǗpϐ */
int effy_unique_message_id = 0;

/**
 * dȂbZ[WǗpIDzz܂B
 *
 * @return	int		dȂbZ[WID
 *
 * @caption	dȂbZ[WID̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int effy_provide_unique_message_id()
{
	return effy_unique_message_id++;
}

/** @var int	effy_unique_mob_message_id	j[NȃubZ[WIDǗpϐ */
int effy_unique_mob_message_id = 0;

/**
 * dȂubZ[WǗpIDzz܂B
 *
 * @return	int		dȂubZ[WID
 *
 * @caption	dȂubZ[WID̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int effy_provide_unique_mob_message_id()
{
	return effy_unique_mob_message_id++;
}

/**
 * @̐̍ēWJ܂߂view_modebp[łB
 *
 * @param	string	mode	r[[h
 * @caption	dȂbZ[WID̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int view_mode(string mode);
 */
function int effy_view_mode(string mode)
{
	int ret = view_mode(mode);
	effy_ice_event_change_view_mode();
	return ret;
}

/**
 * @̐̓WJAI܂߂eventbp[łB
 *
 * @param	string	int	CxgtO
 * @caption	dȂbZ[WID̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int event(int flag);
 */
function int effy_event(int flag)
{
	int ret = event(flag);
	if (flag == TRUE) {
		effy_ice_event_start();
	}
	else {
		effy_ice_event_end();
	}

	return ret;
}

/**
 * fobȎɎgTuEBhEJ܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_open_sub_window()
{
	effy_sub_window_thread_id = create_thread(effy_sub_window_thread, NULL);

	return FALSE;
}

/**
 * TuEBhE܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_close_sub_window()
{
	close_window(effy_sub_window_id);
	exit_thread_safety(effy_sub_window_thread_id);

	return FALSE;
}

/**
 * TuEBhEXbh
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_sub_window_thread()
{
	/**/
	effy_sub_window_id = create_plane_window(1, 151, 400, 0, 0);
	set_window_font(effy_sub_window_id, 16, "lr SVbN");
	set_window_text(effy_sub_window_id, "");

	/*[v*/
	while(TRUE){
		system();
		_sub_window_text = "";
		for (i=0; i<5; i++){
			_sub_window_text += effy_sub_window_text[i] + "\n";
		}
		set_window_text(effy_sub_window_id, _sub_window_text);
	}
}

/**
 * TuEBhEeXV܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_refresh_sub_window(row_num, row_text)
{
	/*EBhEsɃRec*/
	effy_sub_window_text[row_num] = row_text;
}


/**
 * TuEBhÊsڂɎ@̈ʒu\܂
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_refresh_sub_window_pleyer_pos(row_num)
{
	/*EBhEsɃRec*/
	effy_sub_window_text[row_num]="x: " get_unit_ns_point(LABEL_PLAYER) + " y: " + get_unit_altitude(LABEL_PLAYER) + "z: " + get_unit_ew_point(LABEL_PLAYER);
}

/**
 * C[X^[GbOiB񕜃|CgjXbhN܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_start_easter_egg_recover_point(float egg_pos_x, float egg_pos_y, float egg_pos_z, int egg_lenge, float egg_height)
{
	effy_easter_egg_recover_point_lenge = egg_lenge;
	effy_easter_egg_recover_point_height = egg_height;
	create_thread(effy_easter_egg_recover_point_thread, NULL);
	wait_time(0.1);
	set_pos(EFFY_LABEL_EASTER_EGG, egg_pos_x, egg_pos_y, egg_pos_z, FALSE);

	return FALSE;
}

/**
 * C[X^[GbOiB񕜃|CgjXbhI܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_stop_easter_egg_recover_point()
{
	exit_thread_safety(effy_easter_egg_recover_point_thread_id);

	return FALSE;
}

/**
 * C[X^[GbOiB񕜃|CgjXbh
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function effy_easter_egg_recover_point_thread()
{
	catapult(LABEL_PLAYER, UNIT_ID_TOYBOX, EFFY_LABEL_EASTER_EGG, FALSE);
	set_team_id(EFFY_LABEL_EASTER_EGG, "OBJECT");
	set_hp(EFFY_LABEL_EASTER_EGG, 99999);

	wait_time(0.5);

	while (TRUE) {
		system();
		system();
		_length_between_player_and_egg = get_length(LABEL_PLAYER, EFFY_LABEL_EASTER_EGG);
		_height_between_player_and_egg = get_unit_altitude(LABEL_PLAYER) - get_unit_altitude(EFFY_LABEL_EASTER_EGG);
		if(_length_between_player_and_egg > 0 && _length_between_player_and_egg < effy_easter_egg_recover_point_lenge
			&& _height_between_player_and_egg < effy_easter_egg_recover_point_height && _height_between_player_and_egg > -1 * effy_easter_egg_recover_point_height){
			wait_time(0.2);
			if(_length_between_player_and_egg > 0 && _length_between_player_and_egg < effy_easter_egg_recover_point_lenge
			&& _height_between_player_and_egg < effy_easter_egg_recover_point_height && _height_between_player_and_egg > -1 * effy_easter_egg_recover_point_height){
				play_se_near_player(EFFY_ICE_SE_NO_SYSTEM_SOUND_2, 0);
				wait_time(0.1);
				play_se_near_player(EFFY_ICE_SE_NO_SYSTEM_SOUND_2, 0);
				wait_time(0.1);
				play_se_near_player(EFFY_ICE_SE_NO_SYSTEM_SOUND_2, 0);
				supply_damage(50);
				if(is_current_level_easy()){
					supply_weapon(50);
				}
				wait_time(60);
			}
		}
	}
}

/**
 * sJEg܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int effy_count_air_friend()
{
	return get_status(STATUS_AIR_FRIEND, NULL);
}

/**
 * nJEg܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int effy_count_ground_friend()
{
	return get_status(STATUS_GROUND_FRIEND, NULL);
}

/**
 * GnJEg܂B
 *
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int effy_count_ground_enemy()
{
	return get_status(STATUS_GROUND_ENEMY, NULL);
}
