/**
 * 3DtCgV[eBOQ[ EFFY one of unreasonable "if" pbP[WłB
 *
 * @package_overview
 * @package 	EFFY one of unreasonable "if"
 * @caption		EFFYpbP[W
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

/**
 * EFFYpbP[W EFFY ICE Cu̎ceǗt@CłB
 *
 * @file_overview
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

function initiate_sub_ammo()					//@eVXeN
{
	effy_ice_gun_ammo = 250;
	start_counter(EFFY_ICE_COUNTER_ID_BULLET_REPAIER);

	while (TRUE) {
		system();
		if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART) >= 15) {
			EN_Charge_Restart();
		}
		if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_REPAIER) >= 5) {
			BulletRepair();
		}
		if (effy_ice_gun_ammo == 0) {
			EMPTY_GUN();
		}

		if (is_trigger_pulling_gun() && !effy_ice_gun_safety) {
			Cons_Bullet();
		}
		bullet_color();
	}
}

//=======================================

function Cons_Bullet()						//e
{
	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART) >= 1) {
		return FALSE;
	}
	if (effy_ice_gun_ammo == 1000) {
		return FALSE;
	}
	effy_ice_gun_ammo -= 1;

	return FALSE;
}

//=======================================

function EMPTY_GUN()						//e؂
{
	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART) >= 1) {
		return FALSE;
	}

	stop_weapon(LABEL_PLAYER, "GUN", TRUE);

	play_se_near_player(EFFY_ICE_SE_NO_SYSTEM_SOUND, 1);

	start_counter(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART);
	set_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART, 1);

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN, 255, 96, 96, 200);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 96, 96, 200);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 96, 96, 200);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 255, 96, 96, 200);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 255, 96, 96, 200);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 255, 96, 96, 200);

	return FALSE;
}

//=======================================

function EN_Charge_Restart()					//eđU
{
	if (effy_ice_gun_safety) {
		return FALSE;
	}
	
	set_counter(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART, 0);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN, 32, 255, 100, 200);

	stop_weapon(LABEL_PLAYER, "GUN", FALSE);

	return FALSE;
}

//=======================================

function BulletRepair()						//eĐ
{
	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_BULLET_CHARGE_RESTART) >= 1) {
		return FALSE;
	}
	if (effy_ice_gun_ammo >= 250) {
		return FALSE;
	}

	start_counter(EFFY_ICE_COUNTER_ID_BULLET_REPAIER);
	if (effy_ice_gun_ammo >= 200) {
		BR_MAX();
	}
	else if (effy_ice_gun_ammo >= 100) {
		BR1();
	}
	if (effy_ice_gun_ammo < 100) {
		BR2();
	}

	return FALSE;
}

//=======================================

function BR_MAX()
{
	effy_ice_gun_ammo = 250;

	return FALSE;
}
//-------------------

function BR1()
{
	effy_ice_gun_ammo += 50;

	return FALSE;
}
//-------------------

function BR2()
{
	effy_ice_gun_ammo += 20;

	return FALSE;
}

//=======================================

function bullet_color()						//eHUDF
{
	if (effy_ice_gun_ammo == 0) {
		B_0();
	}
	if (effy_ice_gun_ammo > 0 && effy_ice_gun_ammo <= 19) {
		B_19();
	}
	if (effy_ice_gun_ammo >= 20) {
		B_20();
	}
	if (effy_ice_gun_ammo >= 40) {
		B_40();
	}
	if (effy_ice_gun_ammo >= 60) {
		B_60();
	}
	if (effy_ice_gun_ammo >= 80) {
		B_80();
	}
	if (effy_ice_gun_ammo >= 100) {
		B_100();
	}

	if (effy_ice_gun_ammo >= 150) {
		B_150();
	}
	if (effy_ice_gun_ammo >= 200) {
		B_200();
	}
	if (effy_ice_gun_ammo >= 250) {
		B_250();
	}
	if (effy_ice_gun_ammo >= 300) {
		B_300();
	}
	if (effy_ice_gun_ammo >= 350) {
		B_350();
	}

	if (effy_ice_gun_ammo == 1000) {
		B_1000();
	}

	if (effy_ice_gun_safety && effy_ice_icarus_mode < 0) {
		B_SAFETY();
	}
	else if (effy_ice_gun_ammo >= 100 ) {
		set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN, 32, 120, 255, 200);
	}

	return FALSE;
}

//-------------------

function B_1000()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 200, 120, 255, 220);		//
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 200, 120, 255, 220);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 200, 120, 255, 220);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 200, 120, 255, 220);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 200, 120, 255, 220);

	return FALSE;
}

//-------------------

function B_350()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 120, 255, 200);		//u[

	return FALSE;
}

//-------------------

function B_300()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 120, 255, 200);		//u[

	return FALSE;
}

//-------------------

function B_250()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 120, 255, 200);		//u[

	return FALSE;
}

//-------------------

function B_200()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 120, 255, 200);		//u[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 120, 255, 200);		//u[

	return FALSE;
}

//-------------------

function B_150()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 120, 255, 200);		//u[

	return FALSE;
}

//-------------------

function B_100()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 255, 100, 200);		//O[

	return FALSE;
}

//-------------------

function B_80()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 255, 100, 200);		//O[

	return FALSE;
}

//-------------------

function B_60()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 255, 100, 200);		//O[

	return FALSE;
}

//-------------------

function B_40()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 32, 255, 100, 200);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 255, 100, 200);		//O[

	return FALSE;
}

//-------------------

function B_20()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 32, 255, 100, 200);		//O[

	return FALSE;
}

//-------------------

function B_19()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 255, 240, 32, 200);		//CG[

	return FALSE;
}

//-------------------

function B_0()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 255, 128, 64, 196);		//bh
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 255, 128, 64, 196);		//bh

	return FALSE;
}

//-------------------

function B_SAFETY()
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN, 160, 160, 160, 50);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_FULL, 160, 160, 160, 50);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_75P, 160, 160, 160, 50);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_50P, 160, 160, 160, 50);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_25P, 160, 160, 160, 50);		//O[
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_GUN_EMPTY, 160, 160, 160, 50);		//O[

	return FALSE;
}

//--------------------
/**
 * GlM[K𖳌܂B
 */
function effy_ice_deactivate_energy_control_system()						//ammo̎gp
{
	effy_ice_gun_safety = TRUE;

	return FALSE;
}

/**
 * GlM[KL܂B
 */
function effy_ice_reactivate_energy_control_system()						//ammo̎gp
{
	effy_ice_gun_safety = FALSE;

	return FALSE;
}

//===============@eGlM[===================
function effy_ice_infinity_gun_ammo()
{
	effy_ice_gun_ammo = 1000;
	stop_weapon(LABEL_PLAYER, "GUN", FALSE);
}
