/**
 * 3DtCgV[eBOQ[ppbP[W EFFY one of unreasonable "if"pbP[WłB
 *
 * @package_overview
 * @package 	EFFY
 * @caption		EFFYpbP[W
 * @license 	&lt;a href="http://en.wikipedia.org/wiki/MIT_License"&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href="http://www.effy.info/"&gt;Project ICKX&lt;/a&gt;
 */

/**
 * EFFYpbP[W TEhGtFNg֘A̐ݒLqt@CłB
 *
 * @file_overview
 * @license     &lt;a href="http://en.wikipedia.org/wiki/MIT_License"&lt;X11/MIT License&lt;/a&gt;
 * @author      Rectangle
 * @since       1.0
 * @version     1.0
 * @engine		RSE3.5
 * @url 		&lt;a href="http://www.effy.info/"&gt;Project ICKX&lt;/a&gt;
 */

//======================================================
//SE
//======================================================
//------------------------------------------------------
//`
//------------------------------------------------------
/** @const	int	EFFY_ICE_SE_NO_SYSTEM_SOUND	VXe */
const int EFFY_ICE_SE_NO_SYSTEM_SOUND			 = 50;

/** @const	int	EFFY_ICE_SE_NO_SYSTEM_SOUND_2	VXe2 */
const int EFFY_ICE_SE_NO_SYSTEM_SOUND_2			 = 51;

/** @const	int	EFFY_ICE_SE_NO_SYSTEM_MESSAGE	VXex */
const int EFFY_ICE_SE_NO_SYSTEM_MESSAGE			 = 52;

/** @const	int	EFFY_ICE_SE_NO_DESTROY_ENEMY	Gj */
const int EFFY_ICE_SE_NO_DESTROY_ENEMY			 = 53;

/** @const	int	EFFY_ICE_SE_NO_SHOOT_CUE	~TCV[gL[ */
const int EFFY_ICE_SE_NO_SHOOT_CUE				 = 54;

/** @const	int	EFFY_ICE_SE_NO_ACS_ENTRY	ACSGg[ */
const int EFFY_ICE_SE_NO_ACS_ENTRY				 = 55;

/** @const	int	EFFY_ICE_SE_NO_ACS_EXPLOSION	ACS */
const int EFFY_ICE_SE_NO_ACS_EXPLOSION			 = 56;

/** @const	int	EFFY_ICE_SE_NO_ACS_HEAT_SOUND	ACSrM */
const int EFFY_ICE_SE_NO_ACS_HEAT_SOUND			 = 57;

/** @const	int	EFFY_ICE_SE_NO_FIRE_BEAM	r[Ct */
const int EFFY_ICE_SE_NO_FIRE_BEAM				 = 58;

/** @const	int	EFFY_ICE_SE_NO_IKAROSU_RAIFURU	CJX:Ct */
const int EFFY_ICE_SE_NO_IKAROSU_RAIFURU		 = 59;

/** @const	int	EFFY_ICE_SE_NO_IKAROSU_SUPUREDDO	CJX:Xvbh */
const int EFFY_ICE_SE_NO_IKAROSU_SUPUREDDO		 = 60;

/** @const	int	EFFY_ICE_SE_NO_IKAROSU_BASUTA	CJX:oX^[ */
const int EFFY_ICE_SE_NO_IKAROSU_BASUTA			 = 61;

/** @const	int	EFFY_ICE_SE_NO_IKAROSU_STARTUP	CJX:N */
const int EFFY_ICE_SE_NO_IKAROSU_STARTUP		 = 62;

/** @const	int	EFFY_ICE_SE_NO_IKAROSU_HYPER_ATTACK	CJX:nCp[U */
const int EFFY_ICE_SE_NO_IKAROSU_HYPER_ATTACK	 = 63;

/** @const	int	EFFY_ICE_SE_NO_OUTER_ENGINE_SOUND	CxgpGW */
const int EFFY_ICE_SE_NO_OUTER_ENGINE_SOUND		 = 64;

/** @const	int	EFFY_ICE_SE_NO_SPACE_JUMP	Ԓ */
const int EFFY_ICE_SE_NO_SPACE_JUMP				 = 65;

/** @const	int	EFFY_ICE_SE_NO_ENEMY_LOST	G@ */
const int EFFY_ICE_SE_NO_ENEMY_LOST				 = 66;

/** @const	int	EFFY_ICE_SE_NO_ALERT	A[g:ST9 */
const int EFFY_ICE_SE_NO_ALERT					 = 67;

/** @const	int	EFFY_ICE_SE_NO_H_RAY	z[~OC:ST9 */
const int EFFY_ICE_SE_NO_H_RAY					 = 68;

/** @const	int	EFFY_ICE_SE_NO_REACTOR	AN^[:ST09, ST13 */
const int EFFY_ICE_SE_NO_REACTOR				 = 69;

/** @const	int	EFFY_ICE_SE_NO_LANDING	fBOMڒn:ST9, ST12b */
const int EFFY_ICE_SE_NO_LANDING				 = 70;

/** @const	int	EFFY_ICE_SE_NO_AIRBAG	~J:ST9 */
const int EFFY_ICE_SE_NO_RAIN					 = 71;

/** @const	int	EFFY_ICE_SE_NO_CHA_AC_CATAPULT	`IbgACJ^pg:ST10 */
const int EFFY_ICE_SE_NO_CHA_AC_CATAPULT		 = 72;

/** @const	int	EFFY_ICE_SE_NO_MAR_CANNON	}IlbgLm:ST11b */
const int EFFY_ICE_SE_NO_MAR_CANNON				 = 73;

/** @const	int	EFFY_ICE_SE_NO_MAR_MONITOR	}Ilbgj^[:ST11b */
const int EFFY_ICE_SE_NO_MAR_MONITOR			 = 74;

/** @const	int	EFFY_ICE_SE_NO_AIRBAG	GAobOy:ST12 */
const int EFFY_ICE_SE_NO_AIRBAG					 = 75;

//------------------------------------------------------
//
//------------------------------------------------------
function effy_init_se()
{
	load_se(SE_NO_ENGINE_ENEMY,		EFFY_SE_DIR + "Jet_Burner.wav");	//G@GW
	load_se(SE_NO_ENGINE_BURMER,	EFFY_SE_DIR + "Jet_Turbine.wav");	//GWo[i[
	load_se(SE_NO_ENGINE_TURBINE,	EFFY_SE_DIR + "Jet_Burner.wav");	//GW^[r
	load_se(SE_NO_GUN_HIT_1,		EFFY_SE_DIR + "Jet_Gunhit1.wav");	//@e
	load_se(SE_NO_GUN_HIT_2,		EFFY_SE_DIR + "Jet_Gunhit2.wav");	//@e
	load_se(SE_NO_DAMAGE_ALERT,		EFFY_SE_DIR + "Jet_Alarm.wav");		//x
	load_se(SE_NO_PYLON_RELOAD,		EFFY_SE_DIR + "Jet_Reload.wav");	//đU
	load_se(SE_NO_PYLON_CHANGE,		EFFY_SE_DIR + "Jet_Switch.wav");	//؂ւ
	load_se(SE_NO_PYLON_SHOOT,		EFFY_SE_DIR + "Jet_Missile.wav");	//~TC

	load_se(EFFY_ICE_SE_NO_SYSTEM_SOUND,			EFFY_SE_DIR + "ev_navi.wav");		//VXe
	load_se(EFFY_ICE_SE_NO_SYSTEM_SOUND_2,			EFFY_SE_DIR + "ev_navi2.wav");		//VXe2
	load_se(EFFY_ICE_SE_NO_SYSTEM_MESSAGE,			EFFY_SE_DIR + "sys_message.wav");	//VXex
	load_se(EFFY_ICE_SE_NO_DESTROY_ENEMY,			EFFY_SE_DIR + "good_killed.wav");	//Gj
	load_se(EFFY_ICE_SE_NO_SHOOT_CUE,				EFFY_SE_DIR + "shoot_cue.wav");		//~TCV[gL[

	load_se(EFFY_ICE_SE_NO_ACS_ENTRY,				EFFY_SE_DIR + "enter.wav");			//ACSGg[
	load_se(EFFY_ICE_SE_NO_ACS_EXPLOSION,			EFFY_SE_DIR + "ev_engine.wav");		//ACS
	load_se(EFFY_ICE_SE_NO_ACS_HEAT_SOUND,			EFFY_SE_DIR + "air.wav");			//ACSrM

	load_se(EFFY_ICE_SE_NO_FIRE_BEAM,				EFFY_SE_DIR + "beam.wav");			//r[Ct

	load_se(EFFY_ICE_SE_NO_IKAROSU_RAIFURU,			EFFY_SE_DIR + "fire_gun.wav");		//CJX:Ct
	load_se(EFFY_ICE_SE_NO_IKAROSU_SUPUREDDO,		EFFY_SE_DIR + "spread.wav");		//CJX:Xvbh
	load_se(EFFY_ICE_SE_NO_IKAROSU_BASUTA,			EFFY_SE_DIR + "laser.wav");			//CJX:oX^[
	load_se(EFFY_ICE_SE_NO_IKAROSU_STARTUP,			EFFY_SE_DIR + "sys_response.wav");	//CJX:N
	load_se(EFFY_ICE_SE_NO_IKAROSU_HYPER_ATTACK,	EFFY_SE_DIR + "hyper.wav");			//CJX:nCp[U

	load_se(EFFY_ICE_SE_NO_OUTER_ENGINE_SOUND,		EFFY_SE_DIR + "sonic.wav");			//CxgpGW
	load_se(EFFY_ICE_SE_NO_SPACE_JUMP,				EFFY_SE_DIR + "impact.wav");		//Ԓ
	load_se(EFFY_ICE_SE_NO_ENEMY_LOST,				EFFY_SE_DIR + "enemy_lost.wav");	//G@

	load_se(EFFY_ICE_SE_NO_ALERT,					EFFY_SE_DIR + "alert.wav");			//A[g
	load_se(EFFY_ICE_SE_NO_H_RAY,					EFFY_SYSTEM_ROOT_DIR + "hray/hray_sound.wav");	//z[~OC
	load_se(EFFY_ICE_SE_NO_REACTOR,					EFFY_SE_DIR + "reactor.wav");		//AN^[
	load_se(EFFY_ICE_SE_NO_LANDING,					EFFY_SE_DIR + "landing.wav");		//fBOMڒn
	load_se(EFFY_ICE_SE_NO_RAIN,					EFFY_SE_DIR + "rain.wav");			//~J
	load_se(EFFY_ICE_SE_NO_CHA_AC_CATAPULT,			EFFY_SE_DIR + "reactor2.wav");		//`IbgACJ^pg
	load_se(EFFY_ICE_SE_NO_MAR_CANNON,				EFFY_SE_DIR + "cannon.wav");		//}IlbgLm
	load_se(EFFY_ICE_SE_NO_MAR_MONITOR,				EFFY_SE_DIR + "monitor.rad");		//}Ilbgj^[
	load_se(EFFY_ICE_SE_NO_AIRBAG,					EFFY_SE_DIR + "hit_s12.wav");		//GAobOy
}
