/**
 * 3DtCgV[eBOQ[ EFFY one of unreasonable "if" pbP[WłB
 *
 * @package_overview
 * @package 	EFFY one of unreasonable "if"
 * @caption		EFFYpbP[W
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

/**
 * EFFYpbP[W EFFY ICE Cu̓@Ǘt@CłB
 *
 * @file_overview
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Project ICKX
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5
 * @url 		&lt;a href='http://www.effy.info/'&gt;Project ICKX&lt;/a&gt;
 */

function initiate_sub_maneuver()					//@VXeN
{
	set_counter_to_sec(EFFY_ICE_COUNTER_ID_ACS, 20);
	set_counter_to_sec(EFFY_ICE_COUNTER_ID_RCS, 20);

	while (TRUE) {
		system();

		key = get_pad_trg("PAD_TARGET1");
		if (key != 0) {
			cartridge_load();
		}
		if (effy_ice_rcs_button_inputted == 2) {
			RCS();
		}

		key = get_pad_trg("PAD_TARGET2");
		if (key != 0) {
			if (is_player_pylon_center_by_unit_id(EFFY_ICE_UNIT_ID_ACCELERATOR)) {
				ACS_X();
			}
			else {
				ACS();
			}
		}

		if (effy_ice_rcs_button_inputted >= 1) {
			safety_unlock();
		}
		if (effy_ice_rcs_2nd_input_wait == 15) {
			safety_lock();
		}

		if (enable_acs_flag != FALSE && get_counter_to_sec(EFFY_ICE_COUNTER_ID_ACS) >= 17) {
			ready_ACS();
		}
		if (enable_rcs_flag != FALSE && get_counter_to_sec(EFFY_ICE_COUNTER_ID_RCS) >= 13) {
			ready_RCS();
		}
	}
}

//=======================================

function ready_ACS()						//ACS
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 50, 150, 255, 200);
	return FALSE;
}

//---------

function ready_RCS()						//RCS
{
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_RCS, 50, 150, 255, 200);
	return FALSE;
}

//=======================================

function cartridge_load()						//AŌNP
{
	effy_ice_rcs_button_inputted += 1;
	return FALSE;
}

//-------------------

function safety_unlock()						//AŌNQ
{
	effy_ice_rcs_2nd_input_wait += 1;
	return FALSE;
}

//-------------------

function safety_lock()						//AŎs
{
	effy_ice_rcs_button_inputted=0;
	effy_ice_rcs_2nd_input_wait=0;
	return FALSE;
}

//=======================================

function ACS()							//ACSˁidlύX\j
{
	key = get_pad_now("PAD_TARGET1");
	if (key == 0) {
		return FALSE;
	}

	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_ACS) < 16) {
		return FALSE;
	}

	if (enable_acs_flag == FALSE)  {
		return FALSE;
	}
	
	/*ACSlbgϐTRUE*/
	set_network_data(3, TRUE);

	effy_ice_is_acs_running = TRUE;

	play_se_near_player(EFFY_ICE_SE_NO_ACS_ENTRY, 1);

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 255, 240, 150, 255);
	wait_time(0.1);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 255, 255, 255, 255);

	float _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z;
	float current_yaw = 0;
	float current_pitch = 0;
	float current_roll = 0;
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z);
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z);
	_rel_vwing_left_x = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_x, 0, 30.0);
	_rel_vwing_left_y = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_y, 0, 30.0);
	_rel_vwing_left_z = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_z, 310, 30.0);
	_rel_vwing_right_x = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_x, 0, 30.0);
	_rel_vwing_right_y = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_y, 0, 30.0);
	_rel_vwing_right_z = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_z, 50, 30.0);

	if (is_player_unit_by_unit_id(EFFY_ICE_UNIT_ID_R_S2O_RESONANCE)) {
		for(i = 0; i <30; i++) {
			system();

			/*CxgTXyh*/
			if(enable_acs_flag == FALSE){
				while(enable_acs_flag == FALSE){
					system();
				}
			}

			rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _rel_vwing_left_x, _rel_vwing_left_y, _rel_vwing_left_z, TRUE);
			rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _rel_vwing_right_x, _rel_vwing_right_y, _rel_vwing_right_z, TRUE);
		}
		wait_time(0.12);
	}
	else {
		wait_time(0.4);
	}

	int _label_acs_charge_right[11];
	int _label_acs_charge_left[11];
	float _scale_acs_charge[11];
	for(i = 0; i<=10; i++){
		_label_acs_charge_right[i] = 6003 + i;
		_label_acs_charge_left[i] = 6014 + i;
		_scale_acs_charge[i] = 2.0;
	}
	int _acs_number = 0;



	play_se_near_player(EFFY_ICE_SE_NO_ACS_EXPLOSION, 1);

	for(i = 0; i <=120; i++) {
		system();

		/*CxgTXyh*/
		if(enable_acs_flag == FALSE){
			while(enable_acs_flag == FALSE){
				system();
				for (j = 0; j<=10; j++){
					set_scale(_label_acs_charge_right[j], 0, 0, 0, TRUE);
					set_scale(_label_acs_charge_left[j], 0, 0, 0, TRUE);
				}
			}
		}

		/*JoJo*/
		for (j = 0; j<=10; j++){
			_scale_acs_charge[j] -=0.16;
			set_scale(_label_acs_charge_right[j], _scale_acs_charge[j], _scale_acs_charge[j], _scale_acs_charge[j], TRUE);
			set_scale(_label_acs_charge_left[j], _scale_acs_charge[j], _scale_acs_charge[j], _scale_acs_charge[j], TRUE);
			if (_scale_acs_charge[j] < 0){
				release_object(_label_acs_charge_right[j]);
				release_object(_label_acs_charge_left[j]);
			}
		}

		if (i <= 20 || get_speed(1) <= 1500) {
			set_speed(LABEL_PLAYER, get_speed(LABEL_PLAYER) + 30);

			if (i%2 == 0 && _acs_number <=10 ){
				catapult(LABEL_PLAYER, EFFY_ICE_UNIT_ID_R_S2O_ACS_CHARGE_RIGHT, _label_acs_charge_right[_acs_number], FALSE);
				catapult(LABEL_PLAYER, EFFY_ICE_UNIT_ID_R_S2O_ACS_CHARGE_LEFT, _label_acs_charge_left[_acs_number], FALSE);
				set_team_id(_label_acs_charge_right[_acs_number], "OBJECT");
				set_team_id(_label_acs_charge_left[_acs_number], "OBJECT");
				set_parent(_label_acs_charge_right[_acs_number], LABEL_PLAYER);
				set_parent(_label_acs_charge_left[_acs_number], LABEL_PLAYER);
				move(_label_acs_charge_right[_acs_number], 0.24,	-0.05,	-1.35, TRUE);
				move(_label_acs_charge_left[_acs_number], -0.24,	-0.05,	-1.35, TRUE);
				rel_rot(_label_acs_charge_right[_acs_number], 0, 0, rand(360), TRUE);
				rel_rot(_label_acs_charge_left[_acs_number], 0, 0, rand(360), TRUE);
				_acs_number ++;
				_scale_acs_charge[_acs_number] = 2.0;
			}
		}

		if (i > 20 && i <90) {
			set_speed(LABEL_PLAYER, 1500 + rand(50));
		}

		if (i <= 20){
			_scale_x = 1.0 * 1.8 * (i/20.0);
			_scale_y = 1.0 * 1.8 * (i/20.0);
			_scale_z = 1.6 * 1.8 * (i/20.0);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
		}

		if (i > 20 && i <90){
			_scale_x = 1.0 * 1.8;
			_scale_y = 1.0 * 1.8;
			_scale_z = 1.6 * 1.8;
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.008, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.008, TRUE);
		}
		
		
		if (i == 60){
			/*ACSlbgϐFALSE*/
			set_network_data(3, FALSE);
		}

		if (i > 90){
			_scale_x = 1.0 * 1.8 * ((120 - i)/30.0);
			_scale_y = 1.0 * 1.8 * ((120 - i)/30.0);
			_scale_z = 1.6 * 1.8 * ((120 - i)/30.0);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
		}

		/*GWB*/
		if (rand(2) == 0){
			if (i == 0){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.50,0.50,0.50,TRUE);
			}
			if (i > 0 && i <5){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.80,0.80,1.60,TRUE);
			}
			if (i > 5 && i <12){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,1.80,TRUE);
			}
			if (i > 12 && i <20){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.50,0.50,1.20,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.95,0.95,0.95,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i > 20 && i <40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.02 * (40 - i) ,0.02 * (40 - i),0.05 * (40 - i),TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.95,0.95,0.95,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i == 40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.01,0.01,0.01,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.01,0.01,0.01,TRUE);
			}

		}
		else {
			if (i == 0){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.60,0.60,0.60,TRUE);
			}
			if (i > 0 && i <5){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,1.80,TRUE);
			}
			if (i > 5 && i <12){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,2.10,TRUE);
			}
			if (i > 12 && i <20){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.70,0.70,1.30,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 1,1,1,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i > 20 && i <40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.03 * (40 - i) ,0.03 * (40 - i),0.06 * (40 - i),TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 1,1,1,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i == 40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.01,0.01,0.01,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.01,0.01,0.01,TRUE);
			}


		}
	}
	set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, 0.001, 0.001, 0.001, TRUE);
	set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, 0.001, 0.001, 0.001, TRUE);

	play_se_near_player(EFFY_ICE_SE_NO_ACS_HEAT_SOUND, 1);

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 200, 96, 96, 200);

	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z);
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z);
	current_yaw = get_pad_analog_yaw();
	current_pitch = get_pad_analog_pitch();
	current_roll = get_pad_analog_roll();
	_rel_vwing_left_y = effy_ice_acs_vwing_rot_calc(0.0, resonance_wing_get_wing_rot_y1(current_pitch, current_roll, current_yaw), 40.0);
	_rel_vwing_left_z = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_z, 50, 40.0);
	_rel_vwing_right_y = effy_ice_acs_vwing_rot_calc(0.0, resonance_wing_get_wing_rot_y2(current_pitch, current_roll, current_yaw), 40.0);
	_rel_vwing_right_z = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_z, 310, 40.0);
	for(i = 0; i <40; i++) {
		system();
		rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, 0, _rel_vwing_left_y, _rel_vwing_left_z, TRUE);
		rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, 0, _rel_vwing_right_y, _rel_vwing_right_z, TRUE);

		/*CxgTXyh*/
		if(enable_acs_flag == FALSE){
			while(enable_acs_flag == FALSE){
				system();
			}
		}
	}

	effy_ice_is_acs_running = FALSE;

	start_counter(EFFY_ICE_COUNTER_ID_ACS);
}

function effy_ice_acs_vwing_rot_calc(float current_rot, float target_rot, float flame)
{
	if (target_rot - current_rot > 180){
		return (target_rot - current_rot - 360)/flame;
	}
	if (target_rot - current_rot < -180) {
		return (target_rot - current_rot + 360)/flame;
	}
	return (target_rot - current_rot)/flame;
}

//=======================================

function ACS_X()						//X[p[ACS
{
	key = get_pad_now("PAD_TARGET1");
	if (key == 0) {
		return FALSE;
	}

	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_ACS) < 17) {
		return FALSE;
	}

	if (enable_acs_flag == FALSE)  {
		return FALSE;
	}

	effy_ice_is_acs_running = TRUE;
	
	play_se_near_player(EFFY_ICE_SE_NO_ACS_ENTRY, 1);

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 255, 240, 150, 255);
	wait_time(0.5);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 255, 255, 255, 255);

	set_barrier(LABEL_PLAYER, TRUE);

	float _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z;
	float current_yaw = 0;
	float current_pitch = 0;
	float current_roll = 0;
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z);
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z);
	_rel_vwing_left_x = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_x, 0, 30.0);
	_rel_vwing_left_y = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_y, 0, 30.0);
	_rel_vwing_left_z = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_z, 310, 30.0);
	_rel_vwing_right_x = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_x, 0, 30.0);
	_rel_vwing_right_y = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_y, 0, 30.0);
	_rel_vwing_right_z = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_z, 50, 30.0);

	if (is_player_unit_by_unit_id(EFFY_ICE_UNIT_ID_R_S2O_RESONANCE)) {
		for(i = 0; i <30; i++) {
			system();

			/*CxgTXyh*/
			if(enable_acs_flag == FALSE){
				while(enable_acs_flag == FALSE){
					system();
				}
			}

			rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _rel_vwing_left_x, _rel_vwing_left_y, _rel_vwing_left_z, TRUE);
			rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _rel_vwing_right_x, _rel_vwing_right_y, _rel_vwing_right_z, TRUE);
		}
		wait_time(0.1);
	}
	else {
		wait_time(0.4);
	}

	int _label_acs_charge_right[11];
	int _label_acs_charge_left[11];
	float _scale_acs_charge[11];
	for(i = 0; i<=10; i++){
		_label_acs_charge_right[i] = 6003 + i;
		_label_acs_charge_left[i] = 6014 + i;
		_scale_acs_charge[i] = 2.0;
	}
	int _acs_number = 0;
	
	play_se_near_player(EFFY_ICE_SE_NO_ACS_EXPLOSION, 1);

	for(i = 0; i <=120; i++) {
		system();

		/*CxgTXyh*/
		if(enable_acs_flag == FALSE){
			while(enable_acs_flag == FALSE){
				system();
				for (j = 0; j<=10; j++){
					set_scale(_label_acs_charge_right[j], 0, 0, 0, TRUE);
					set_scale(_label_acs_charge_left[j], 0, 0, 0, TRUE);
				}
			}
		}

		/*JoJo*/
		for (j = 0; j<=10; j++){
			_scale_acs_charge[j] -=0.16;
			set_scale(_label_acs_charge_right[j], _scale_acs_charge[j], _scale_acs_charge[j], _scale_acs_charge[j], TRUE);
			set_scale(_label_acs_charge_left[j], _scale_acs_charge[j], _scale_acs_charge[j], _scale_acs_charge[j], TRUE);
			if (_scale_acs_charge[j] < 0){
				release_object(_label_acs_charge_right[j]);
				release_object(_label_acs_charge_left[j]);
			}
		}

		if (i <= 20 || get_speed(1) <= 1800) {
			set_speed(LABEL_PLAYER, get_speed(1) + 40);

			if (i%2 == 0 && _acs_number <=10 ){
				catapult(LABEL_PLAYER, EFFY_ICE_UNIT_ID_R_S2O_ACS_CHARGE_RIGHT, _label_acs_charge_right[_acs_number], FALSE);
				catapult(LABEL_PLAYER, EFFY_ICE_UNIT_ID_R_S2O_ACS_CHARGE_LEFT, _label_acs_charge_left[_acs_number], FALSE);
				set_team_id(_label_acs_charge_right[_acs_number], "OBJECT");
				set_team_id(_label_acs_charge_left[_acs_number], "OBJECT");
				set_parent(_label_acs_charge_right[_acs_number], 1);
				set_parent(_label_acs_charge_left[_acs_number], 1);
				move(_label_acs_charge_right[_acs_number], 0.24,	-0.05,	-1.35, TRUE);
				move(_label_acs_charge_left[_acs_number], -0.24,	-0.05,	-1.35, TRUE);
				rel_rot(_label_acs_charge_right[_acs_number], 0, 0, rand(360), TRUE);
				rel_rot(_label_acs_charge_left[_acs_number], 0, 0, rand(360), TRUE);
				_acs_number ++;
				_scale_acs_charge[_acs_number] = 2.0;
			}
		}

		if (i > 20 && i <90) {
			set_speed(LABEL_PLAYER, 1800 + rand(50));
		}

		if (i <= 8){
			_scale_x = 1.0 * 3.4 * (i/8.0);
			_scale_y = 1.0 * 3.4 * (i/8.0);
			_scale_z = 1.6 * 3.4 * (i/8.0);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
		}

		if (i > 8 && i <= 20){
			_scale_x = 1.0 * 1.6 * ((20 - i)/12.0) + 1.8;
			_scale_y = 1.0 * 1.6 * ((20 - i)/12.0) + 1.8;
			_scale_z = 1.6 * 1.6 * ((20 - i)/12.0) + 1.8 * 1.6;
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
		}

		if (i > 20 && i <90){
			_scale_x = 1.0 * 1.8;
			_scale_y = 1.0 * 1.8;
			_scale_z = 1.6 * 1.8;
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.008, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.008, TRUE);
		}

		if (i > 90){
			_scale_x = 1.0 * 1.8 * ((120 - i)/30.0);
			_scale_y = 1.0 * 1.8 * ((120 - i)/30.0);
			_scale_z = 1.6 * 1.8 * ((120 - i)/30.0);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
			set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, _scale_x + rand(35) * 0.001, _scale_y + rand(35) * 0.001, _scale_z + rand(100) * 0.004, TRUE);
		}

		/*GWB*/
		if (rand(2) == 0){
			if (i == 0){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.50,0.50,0.50,TRUE);
			}
			if (i > 0 && i <5){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.80,0.80,1.60,TRUE);
			}
			if (i > 5 && i <12){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,1.80,TRUE);
			}
			if (i > 12 && i <20){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.50,0.50,1.20,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.95,0.95,0.95,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i > 20 && i <40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.02 * (40 - i) ,0.02 * (40 - i),0.05 * (40 - i),TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.95,0.95,0.95,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i == 40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.01,0.01,0.01,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.01,0.01,0.01,TRUE);
			}

		}
		else {
			if (i == 0){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.60,0.60,0.60,TRUE);
			}
			if (i > 0 && i <5){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,1.80,TRUE);
			}
			if (i > 5 && i <12){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 1.10,1.10,2.10,TRUE);
			}
			if (i > 12 && i <20){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.70,0.70,1.30,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 1,1,1,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i > 20 && i <40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.03 * (40 - i) ,0.03 * (40 - i),0.06 * (40 - i),TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 1,1,1,TRUE);
				rel_rot(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0,0,30, TRUE);
			}
			if (i == 40){
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_IGNITION, 0.01,0.01,0.01,TRUE);
				set_scale(EFFY_ICE_LABEL_R_S2O_ACS_SONICBOOM, 0.01,0.01,0.01,TRUE);
			}
		}
	}
	set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_RIGHT, 0.001, 0.001, 0.001, TRUE);
	set_scale(EFFY_ICE_LABLE_R_S2O_ACS_BOOSTER_LEFT, 0.001, 0.001, 0.001, TRUE);
	set_barrier(LABEL_PLAYER, FALSE);

	play_se_near_player(EFFY_ICE_SE_NO_ACS_HEAT_SOUND, 1);

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 200, 96, 96, 200);

	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, _vwing_left_rot_x, _vwing_left_rot_y, _vwing_left_rot_z);
	get_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, _vwing_right_rot_x, _vwing_right_rot_y, _vwing_right_rot_z);
	current_yaw = get_pad_analog_yaw();
	current_pitch = get_pad_analog_pitch();
	current_roll = get_pad_analog_roll();
	_rel_vwing_left_y = effy_ice_acs_vwing_rot_calc(0.0, resonance_wing_get_wing_rot_y1(current_pitch, current_roll, current_yaw), 40.0);
	_rel_vwing_left_z = effy_ice_acs_vwing_rot_calc(_vwing_left_rot_z, 50, 40.0);
	_rel_vwing_right_y = effy_ice_acs_vwing_rot_calc(0.0, resonance_wing_get_wing_rot_y2(current_pitch, current_roll, current_yaw), 40.0);
	_rel_vwing_right_z = effy_ice_acs_vwing_rot_calc(_vwing_right_rot_z, 310, 40.0);
	for(i = 0; i <40; i++) {
		system();
		rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_LEFT, 0, _rel_vwing_left_y, _rel_vwing_left_z, TRUE);
		rel_rot(EFFY_ICE_LABEL_R_S2O_RESONACE_V_WING_RIGHT, 0, _rel_vwing_right_y, _rel_vwing_right_z, TRUE);

		/*CxgTXyh*/
		if(enable_acs_flag == FALSE){
			while(enable_acs_flag == FALSE){
				system();
			}
		}
	}

	effy_ice_is_acs_running = FALSE;
	start_counter(EFFY_ICE_COUNTER_ID_ACS);
}

//=======================================

function RCS()							//RCS
{
	if (get_counter_to_sec(EFFY_ICE_COUNTER_ID_RCS) < 13) {
		return FALSE;
	}

	if (enable_rcs_flag == FALSE) {
		return FALSE;
	}

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_RCS, 255, 240, 150, 255);

	bomb(LABEL_PLAYER, 1);

	float rcsx, rcsy, rcsz;

	for (int i = 1;i < 30;i++) {
		system();
		get_rot_abs(EFFY_ICE_LABEL_R_S2O_RCS_HOOK, rcsx, rcsy, rcsz);
		set_rot(LABEL_PLAYER, rcsx, rcsy, rcsz, FALSE);
	}

	set_color(EFFY_ICE_LABEL_R_S2O_HUD_RCS, 200, 96, 96, 200);
	start_counter(EFFY_ICE_COUNTER_ID_RCS);
}

//=======================================

/**
 * ACS𖳌܂B
 */
function effy_ice_deactivate_acs()						//ACSRCS̎gp
{
	enable_acs_flag = FALSE;
	set_counter(EFFY_ICE_COUNTER_ID_ACS, 0);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 160, 160, 160, 50);
	return FALSE;
}

//---------

/**
 * RCS𖳌܂B
 */
function effy_ice_deactivate_rcs()
{
	enable_rcs_flag = FALSE;
	set_counter(EFFY_ICE_COUNTER_ID_RCS, 0);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_RCS, 160, 160, 160, 50);
	return FALSE;
}

//---------

/**
 * ACSL܂B
 */
function effy_ice_reactivate_acs()
{
	enable_acs_flag = TRUE;
	set_counter_to_sec(EFFY_ICE_COUNTER_ID_ACS, 20);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_ACS, 50, 150, 255, 200);
	return FALSE;
}

//---------

/**
 * RCSL܂B
 */
function effy_ice_reactivate_rcs()
{
	enable_rcs_flag = TRUE;
	set_counter_to_sec(EFFY_ICE_COUNTER_ID_RCS, 20);
	set_color(EFFY_ICE_LABEL_R_S2O_HUD_RCS, 50, 150, 255, 200);
	return FALSE;
}

//=======================================

//*******************************************************************************
